commit:     69d42e2e58df1596567edca2c6bc6c2bacdf89c2
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 12 21:50:20 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Sep 12 22:03:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69d42e2e

dev-libs/libxslt: fix xslt-config, bug #630784

Closes: https://bugs.gentoo.org/630784
Package-Manager: Portage-2.3.8, Repoman-2.3.3

 .../libxslt/files/1.1.30-unbreak-xslt-config.patch |  37 ++++++
 dev-libs/libxslt/libxslt-1.1.30-r1.ebuild          | 133 +++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/dev-libs/libxslt/files/1.1.30-unbreak-xslt-config.patch 
b/dev-libs/libxslt/files/1.1.30-unbreak-xslt-config.patch
new file mode 100644
index 00000000000..6e367f97691
--- /dev/null
+++ b/dev-libs/libxslt/files/1.1.30-unbreak-xslt-config.patch
@@ -0,0 +1,37 @@
+From 9608d20739b36087f0e6865cc924769d3b286188 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <e...@gentoo.org>
+Date: Tue, 12 Sep 2017 23:44:35 +0200
+Subject: [PATCH] Move XML_CONFIG assignment to unbreak xslt-config
+
+Bug: https://bugs.gentoo.org/630784
+---
+ configure.in | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index e6f649cd..49e6b6cf 100644
+--- a/configure.in
++++ b/configure.in
+@@ -518,9 +518,6 @@ else
+       LIBXML_MANUAL_SEARCH=yes
+ fi
+ 
+-if test "x$LIBXML_MANUAL_SEARCH" != "xno"
+-then
+-
+ dnl
+ dnl where is xml2-config
+ dnl
+@@ -534,6 +531,9 @@ else
+       AC_PATH_TOOL([XML_CONFIG], [xml2-config], [false])
+ fi
+ 
++if test "x$LIBXML_MANUAL_SEARCH" != "xno"
++then
++
+ dnl
+ dnl imported from libxml2, c.f. #77827 
+ dnl
+-- 
+2.14.1
+

diff --git a/dev-libs/libxslt/libxslt-1.1.30-r1.ebuild 
b/dev-libs/libxslt/libxslt-1.1.30-r1.ebuild
new file mode 100644
index 00000000000..739f5be1305
--- /dev/null
+++ b/dev-libs/libxslt/libxslt-1.1.30-r1.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit autotools ltprune python-r1 toolchain-funcs multilib-minimal
+
+DESCRIPTION="XSLT libraries and tools"
+HOMEPAGE="http://www.xmlsoft.org/";
+SRC_URI="ftp://xmlsoft.org/${PN}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="crypt debug examples python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       >=dev-libs/libxml2-2.9.1-r5:2[${MULTILIB_USEDEP}]
+       crypt?  ( >=dev-libs/libgcrypt-1.5.3:0=[${MULTILIB_USEDEP}] )
+       python? (
+               ${PYTHON_DEPS}
+               dev-libs/libxml2:2[python,${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/xslt-config
+)
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/libxslt/xsltconfig.h
+)
+
+src_prepare() {
+       default
+
+       DOCS=( AUTHORS ChangeLog FEATURES NEWS README TODO )
+
+       # https://bugzilla.gnome.org/show_bug.cgi?id=684621
+       eapply "${FILESDIR}"/${PN}.m4-${PN}-1.1.26.patch
+
+       # Simplify python setup
+       # https://bugzilla.gnome.org/show_bug.cgi?id=758095
+       eapply "${FILESDIR}"/${PN}-1.1.30-simplify-python.patch
+       eapply "${FILESDIR}"/${PN}-1.1.28-disable-static-modules.patch
+
+       # Fix xslt-config
+       # https://bugs.gentoo.org/630784
+       eapply "${FILESDIR}"/1.1.30-unbreak-xslt-config.patch
+
+       mv configure.{in,ac} || die
+
+       eautoreconf
+       # If eautoreconf'd with new autoconf, then epunt_cxx is not necessary
+       # and it is propably otherwise too if upstream generated with new
+       # autoconf
+#      epunt_cxx
+       # But Prefix always needs elibtoolize if not eautoreconf'd.
+#      elibtoolize
+}
+
+multilib_src_configure() {
+       libxslt_configure() {
+               ECONF_SOURCE="${S}" econf \
+                       --with-html-dir="${EPREFIX}"/usr/share/doc/${PF} \
+                       --with-html-subdir=html \
+                       $(use_with crypt crypto) \
+                       $(use_with debug) \
+                       $(use_with debug mem-debug) \
+                       $(use_enable static-libs static) \
+                       "$@"
+       }
+
+       libxslt_py_configure() {
+               mkdir -p "${BUILD_DIR}" || die # ensure python build dirs exist
+               run_in_build_dir libxslt_configure --with-python
+       }
+
+       libxslt_configure --without-python # build python bindings separately
+
+       if multilib_is_native_abi && use python; then
+               python_foreach_impl libxslt_py_configure
+       fi
+}
+
+multilib_src_compile() {
+       default
+       multilib_is_native_abi && use python && libxslt_foreach_py_emake all
+}
+
+multilib_src_test() {
+       default
+       multilib_is_native_abi && use python && libxslt_foreach_py_emake test
+}
+
+multilib_src_install() {
+       # "default" does not work here - docs are installed by 
multilib_src_install_all
+       emake DESTDIR="${D}" install
+
+       if multilib_is_native_abi && use python; then
+               libxslt_foreach_py_emake \
+                       DESTDIR="${D}" \
+                       docsdir="${EPREFIX}"/usr/share/doc/${PF}/python \
+                       
EXAMPLE_DIR="${EPREFIX}"/usr/share/doc/${PF}/python/examples \
+                       install
+               python_foreach_impl python_optimize
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       if ! use examples; then
+               rm -rf "${ED}"/usr/share/doc/${PF}/examples
+               rm -rf "${ED}"/usr/share/doc/${PF}/python/examples
+       fi
+
+       prune_libtool_files --modules
+}
+
+libxslt_foreach_py_emake() {
+       libxslt_py_emake() {
+               pushd "${BUILD_DIR}/python" > /dev/null || die
+               emake "$@"
+               popd > /dev/null
+       }
+       local native_builddir=${BUILD_DIR}
+       python_foreach_impl libxslt_py_emake top_builddir="${native_builddir}" 
"$@"
+}

Reply via email to